---
title: ServiceWorkerContainer.getRegistration()
slug: Web/API/ServiceWorkerContainer/getRegistration
tags:
  - API
  - Method
  - Reference
  - Service Workers
  - ServiceWorker
  - ServiceWorkerContainer
---
<p>{{APIRef("Service Workers API")}}</p>

<p>The <strong><code>getRegistration()</code></strong> method of the {{domxref("ServiceWorkerContainer")}} interface gets a {{domxref("ServiceWorkerRegistration")}} object whose scope URL matches the provided document URL.  The method returns a {{jsxref("Promise")}} that resolves to a {{domxref("ServiceWorkerRegistration")}} or <code>undefined</code>.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>serviceWorkerContainer</em>.getRegistration(<em>scope</em>).then(function(<em>serviceWorkerRegistration</em>) { ... });</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code>scope</code> {{optional_inline}}</dt>
 <dd>A unique identifier for a service worker registration — the scope URL of the registration object you want to return. This is usually a relative URL.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>A {{domxref("Promise")}} that resolves to a {{domxref("ServiceWorkerRegistration")}} object or <code>undefined</code>.</p>

<h2 id="Example">Example</h2>

<pre class="brush: js">navigator.serviceWorker.getRegistration('/app').then(function(registration) {
  if(registration){
    document.querySelector('#status').textContent = 'ServiceWorkerRegistration found.';
  }
});
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Service Workers', '#dom-serviceworkercontainer-getregistration', 'ServiceWorkerContainer: getRegistration')}}</td>
   <td>{{Spec2('Service Workers')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.ServiceWorkerContainer.getRegistration")}}</p>
</div>
